Name:		iftop
Summary:	Command line tool that displays bandwidth usage on an interface
Version:	1.0
Release:	%mkrel -c pre4 6
Source:		https://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}pre4.tar.gz
Patch1:		iftop-1.0-gcc10.patch
Patch2:		iftop-function-args.patch
URL:		https://www.ex-parrot.com/~pdw/%{name}
Group:		Monitoring 
License:	GPLv2+
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	texinfo

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
%setup -q -n %{name}-%{version}pre4
%autopatch -p1

%build
export LDFLAGS=-ltinfo
%configure
%make_build

%install
%make_install
#mkdir -p %%{buildroot}%%{_sbindir} %%{buildroot}%%{_mandir}/man8
#install -m755 %%{name} %%{buildroot}%%{_sbindir}
#install -m 644 %%{name}.8 %%{buildroot}%%{_mandir}/man8

%files
%{_sbindir}/%{name}
%doc README COPYING TODO ChangeLog
%{_mandir}/man8/%{name}.*


%changelog
* Fri May 16 2025 ns80 <ns80> 1.0-0.pre4.6.mga10
+ Revision: 2183766
- add a patch from Fedora to try to fix building with GCC 15

* Tue Mar 29 2022 umeabot <umeabot> 1.0-0.pre4.5.mga9
+ Revision: 1831104
- Mageia 9 Mass Rebuild

* Mon Aug 17 2020 martinw <martinw> 1.0-0.pre4.4.mga8
+ Revision: 1614570
- fix build with gcc10

* Thu Feb 13 2020 umeabot <umeabot> 1.0-0.pre4.3.mga8
+ Revision: 1513602
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0-0.pre4.2.mga7
+ Revision: 1298282
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.0-0.pre4.1.mga7
+ Revision: 1214808
- Update to version 1.0-pre4

* Thu Feb 11 2016 umeabot <umeabot> 1.0-0.pre2.6.mga6
+ Revision: 954455
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.pre2.5.mga5
+ Revision: 739496
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.pre2.4.mga5
+ Revision: 680470
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0-0.pre2.3.mga4
+ Revision: 539488
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 dlucio <dlucio> 1.0-0.pre2.2.mga4
+ Revision: 492281
- dirty workarround because of ncurses/tinfo split

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.pre2.2.mga3
+ Revision: 354273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 dams <dams> 1.0-0.pre2.1.mga3
+ Revision: 322567
- update old stable release (2006) to last pre2 (2011)

* Tue Sep 25 2012 blino <blino> 0.17-9.mga3
+ Revision: 297720
- rebuild for new ncurses ABI (broken by #7235)

* Thu Mar 03 2011 tmb <tmb> 0.17-8.mga1
+ Revision: 62778
- imported package iftop


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-8mdv2011.0
+ Revision: 611174
- rebuild

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.17-7mdv2010.1
+ Revision: 453953
- fix build
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-5mdv2009.1
+ Revision: 298258
- rebuilt against libpcap-1.0.0

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.17-4mdv2009.0
+ Revision: 247210
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.17-2mdv2008.1
+ Revision: 140756
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 13 2006 Thomas Backlund <tmb@mandriva.org> 0.17-2mdv2007.0
+ Revision: 83870
- rebuild because of breakage due to ncurses rollback
- Import iftop

* Wed Apr 05 2006 Erwan Velu <erwan@seanodes.com> 0.17-1mdk
- 0.17

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.16-1mdk
- 0.16

